import org.kde.qt.*;

public class Tut4 extends QWidget {
	public Tut4() {
		setMinimumSize(200,120);
		setMaximumSize(200,120);

		QPushButton quit = new QPushButton("Quit", this, "quit");
		quit.setGeometry(62, 40, 75, 30);
		quit.setFont(new QFont("Times", 18, QFont.Bold, false));

		connect(quit, SIGNAL("clicked()"), qApp(), SLOT("quit()"));
	}
	
	public static void main(String[] args) {
		QApplication a = new QApplication(args);

		Tut4 w = new Tut4();
		w.setGeometry(100, 100, 200, 120);
		a.setMainWidget(w);
		w.show();
		a.exec();
	}
	
	static {
		try {
			Class c = Class.forName("org.kde.qt.qtjava");
		} catch (Exception e) {
			e.printStackTrace();
			System.out.println("Can't load qtjava class");
		}
	}
}
